KubeOne(1)

NAME

kubeone-upgrade - Upgrade Kubernetes

SYNOPSIS

kubeone upgrade [flags]

DESCRIPTION

Upgrade Kubernetes

This command takes KubeOne manifest which contains information about hosts and how the cluster should be provisioned. It's possible to source information about hosts from Terraform output, using the '--tfjson' flag.

OPTIONS

-f, --force[=false]
    force start upgrade process

-h, --help[=false]
    help for upgrade

--upgrade-machine-deployments[=false]
    upgrade MachineDeployments objects

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE

    kubeone upgrade -m mycluster.yaml -t terraformoutput.json

SEE ALSO

kubeone(1)

HISTORY

15-Sep-2021 Auto generated by spf13/cobra